Copyright: distributable
Source: rhel-rg-en-%{version}.tbz
Release: 3
Name: rhel-rg-en
Group: Documentation
URL: http://www.redhat.com/docs/
Version: 3
Summary: Red Hat Enterprise Linux %{version} Reference Guide
Obsoletes: rhl-rg
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description 

The Red Hat Enterprise Linux %{version} Reference Guide provides in-depth
information about the Red Hat Linux operating system such as the file
system structure, the boot process, the X Window System, network
protocols, and security tools.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install
mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Reference Guide
Comment=Reference additional Red Hat Linux information
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Wed Mar 24 2004  <jha@redhat.com> 3-3
- changing x86-64 to respective CPU technologies

* Thu Mar  4 2004  <jha@redhat.com> 3-2
- renaming to x86-64

* Wed Oct  1 2003 Tammy Fox <tfox@falcon.rdu.redhat.com> 3-1
- build finished version

* Fri Jul 25 2003 Tammy Fox <tfox@redhat.com> 2.9.5-1
- build for beta

